Jack2 1.9.12

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Jack::detail::JackThreadInterface Class Reference

The thread base class. More...

`#include <JackThread.h>`

Inheritance diagram for Jack::detail::JackThreadInterface:

## Public Types
enum | kThreadState { kIdle, kStarting, kIniting, kRunning }

## Public Member Functions
| JackThreadInterface (JackRunnableInterface *runnable, int priority, bool real_time, int cancellation)
kThreadState | GetStatus ()
void | SetStatus (kThreadState status)
void | SetParams (UInt64 period, UInt64 computation, UInt64 constraint)
int | Start ()
int | StartSync ()
int | Kill ()
int | Stop ()
void | Terminate ()
int | AcquireRealTime ()
int | AcquireSelfRealTime ()
int | AcquireRealTime (int priority)
int | AcquireSelfRealTime (int priority)
int | DropRealTime ()
int | DropSelfRealTime ()
jack_native_thread_t | GetThreadID ()
bool | IsThread ()

## Static Public Member Functions
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority)
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority, UInt64 period, UInt64 computation, UInt64 constraint)
static int | DropRealTimeImp (jack_native_thread_t thread)
static int | StartImp (jack_native_thread_t *thread, int priority, int realtime, void *(*start_routine)(void *), void *arg)
static int | StopImp (jack_native_thread_t thread)
static int | KillImp (jack_native_thread_t thread)

## Protected Attributes
JackRunnableInterface * | fRunnable
int | fPriority
bool | fRealTime
volatile kThreadState | fStatus
int | fCancellation

## Detailed Description

The thread base class.

Definition at line 60 of file JackThread.h.

The documentation for this class was generated from the following file:

- JackThread.h